XPressME Integration Kit

Trac

XPressME Integration Kit (WordPress for XOOPS Module Integration Kit)

XPressME Integration KitWordPressXOOPSモジュールとして、統合します。

このトラックは、XPressME Ver2.X 以降のバージョンの為に作成いたしました。

XPressME Ver1.Xはxoops module wordpress2.05から派生したモジュールですが、!WordPressのバージョンがあがる度に!WordPress側のコードの見直しが必要であったり、コードが複雑になり見通しの悪いモジュールになっていました。

XPressME Ver2.X はコードを殆ど書き直し、!WordPressのコアコードの変更を極力行わない方針で開発を進めるものです。

最大の目的は!WordPress2.7からの自動アップグレードへの対応です。

最新のnighty build は trunkにあります。 入手方法については最新の開発版をsvnから入手 を参照ください。

また、XPressME Integration Kitだけでは、XPressMEは動作しません。 詳細はモジュール作成とインストール を参照ください。

対応WordPressバージョンは Ver.2.7以上 となります。 (XpressME Integration Kit Ver2.1からWordPressME2.0.11への対応が行われました。)

リリースされたものはtagsにあります

XPressME Ver1.Xとの相違点

Last modified 7 years ago Last modified on Nov 30, 2010, 1:58:43 AM